Subject: Attempted Re-send: MOO <-> MOO Networks

From: [email-masked]
Date: Mon, 1 Mar 1993 02:46:00 -0800

I am not sure whether this mail was lost due to my own mailer's problems or 
because of the problem at the PARC mailer Pavel mentioned, so I'm gonna
rewrite it and re-send (apologies if this proves to arrive in your mailbox
in two different forms).

-------------------------------------------------------------------------

Recently, there's been a lot of good work done in the areas of MOO to Real
Life networking.  The work on JaysHouseMOO is truly, totally impressive.
Accessing Internet services from within the MOO is such a clever idea, and
hats off to them for it.

Regarding MOO to MOO services, however, there have been a few methods 
attempted, and they all have one thing in common: The need for bogus player 
objects.  This grates on me no end.

Thus, I've been spending a lot of time recently working on what I call
MOO Services, a package which seems so far to work pretty slick but which
doesn't require any bogus player objects.  The options are configurable by
the wizards, and I'm working on additional security measures right now.
The services which are presently supported are MOOftp and MOOsmtp, which
allow for the transport of objects and/or mail messages (respectively) from 
one MOO to another.  Various other functions are in the works; MOOrwho, for
examine, or MOOfinger.  I was thinking about a MOOtalk, which would 
admittedly be more like `write' than like `talk'.

This has been running on a few MOOs so far, with success.  I'd like to know
if there are any wizards out there who would like to help debug (more 
technical information available upon request) when we get to beta testing.
I'd also be interested in hearing from MOO users what sort of MOO to MOO
services you'd like to have included in this package.

Seth / Blackbriar